package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.UserCompany;
import com.lightinit.hsdataplatform.entity.UserCompanyExample;
import com.lightinit.hsdataplatform.entity.UserCompanyWithBLOBs;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.CompanyUserListModel;
import com.lightinit.hsdataplatform.model.admin.CompanyUserSearchModel;
import org.apache.ibatis.annotations.Param;

public interface UserCompanyMapper {
    long countByExample(UserCompanyExample example);

    int deleteByExample(UserCompanyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserCompanyWithBLOBs record);

    int insertSelective(UserCompanyWithBLOBs record);

    List<UserCompanyWithBLOBs> selectByExampleWithBLOBs(UserCompanyExample example);

    List<UserCompany> selectByExample(UserCompanyExample example);

    UserCompanyWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserCompanyWithBLOBs record, @Param("example") UserCompanyExample example);

    int updateByExampleWithBLOBs(@Param("record") UserCompanyWithBLOBs record, @Param("example") UserCompanyExample example);

    int updateByExample(@Param("record") UserCompany record, @Param("example") UserCompanyExample example);

    int updateByPrimaryKeySelective(UserCompanyWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(UserCompanyWithBLOBs record);

    int updateByPrimaryKey(UserCompany record);

    List<CompanyUserListModel> selectModelList(CompanyUserSearchModel inputModel);

    long queryCount(CompanyUserSearchModel inputModel);
}